Summary:        Use references as hash keys
Name:           perl-Tie-RefHash
Version:        1.40
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Tie-RefHash
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Tie-RefHash-%{version}.tar.gz

BuildRequires:  make perl-generators perl-interpreter coreutils
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Config) perl(strict) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

# Run-time:
BuildRequires:  perl(Carp) perl(overload) perl(Tie::Hash)

# Tests:
BuildRequires:  perl(Test::More) perl(File::Spec) perl(Storable)

BuildArch:      noarch

Requires:       perl(overload)
Suggests:       perl(Scalar::Util) >= 1.01

%description
This module provides you with the ability to use references as hash keys after 
you first "tie" the hash variable to this module. To use references as keys in
hashes-of-hashes, use Tie::RefHash::Nestable, included as part of Tie::RefHash.

%prep
%autosetup -n Tie-RefHash-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.40-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.40-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.40-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.40-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.40-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.40-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 Cheng Xin <denisecheng@tencent.com> - 1.40-1
- package init.
